local commons = require "scenes.debug.commons.menu"
local menu = {}
menu.commons = commons
menu.ExitWidget = commons.DebugWidget:extend()
menu.ShowBackgroundWidget = commons.DebugWidget:extend()
menu.SceneWidget = commons.DebugWidget:extend()

-- ExitWidget
function menu.ExitWidget:new(scene, menuName)
  menu.ExitWidget.super.new(self, scene, menuName, "Exit")
end

function menu.ExitWidget:action()
  love.event.quit("000")
end

-- ShowBackground
function menu.ShowBackgroundWidget:new(scene, menuName)
  menu.ShowBackgroundWidget.super.new(self, scene, menuName, "Show Background")
end

function menu.ShowBackgroundWidget:action()
  self.scene.menusystem:deactivate()
end

-- SceneWidget
function menu.SceneWidget:new(scene, menuName, newScene, newSceneName)
  menu.SceneWidget.super.new(self, scene, menuName, newSceneName)
  self.newScene = newScene
end

function menu.SceneWidget:action()
  self.newScene()
end

return menu
